Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.manager
Interface WorkflowOps

All Superinterfaces
  javax.ejb.EJBLocalObject, Serializable

Deprecated As of 9.x, replaced by `IWorkflowManager`

    public interface WorkflowOps

extends Serializable, javax.ejb.EJBLocalObject

The WorkflowOps interface contains methods to manage workflows for a given repository. A Workflow represents the workflow a node goes through from it's starting point (DRAFT) to the end point (PUBLISHED) by default. This interface allows users to customize the workflow actions associated with the node.

Method Summary
`Workflow` | `addWorkflow(String repositoryName, String name, String comment, byte[] data)` Deprecated As of 9.x, replaced by `IWorkflowManager.addWorkflow(com.bea.content.ContentContext, String, String, String, byte[])`
`void` | `deleteWorkflow(ID id)` Deprecated As of 9.x, replaced by `IWorkflowManager.remove(com.bea.content.ContentContext, com.bea.content.ID)`
`Workflow[]` | `getAllWorkflows(String repositoryName, QueryCriteria queryCriteria)` Deprecated As of 9.x, replaced by `IWorkflowManager.getAllWorkflows(com.bea.content.ContentContext, String)`
`Workflow` | `getDefaultWorkflow(String repositoryName)` Deprecated As of 9.x, replaced by `IWorkflowManager.getDefaultWorkflow(com.bea.content.ContentContext, String)`
`Set<String>` | `getNativeFilterableProperties(String repositoryName)` Deprecated Returns a set of property names which the repository can filter natively (within the repository instead of the federated API) for paging purposes.
`Set<String>` | `getNativeSortableProperties(String repositoryName)` Deprecated Returns a set of property names which the repository can sort natively (within the repository instead of the federated API) for paging purposes.
`Node[]` | `getNodesForWorkflow(ID workflowId, QueryCriteria queryCriteria)` Deprecated As of 9.x, replaced by `IWorkflowManager.getNodesForWorkflow(com.bea.content.ContentContext, com.bea.content.ID)`
`ObjectClass[]` | `getTypesForWorkflow(ID workflowId, QueryCriteria queryCriteria)` Deprecated As of 9.x, replaced by `IWorkflowManager.getTypesForWorkflow(com.bea.content.ContentContext, com.bea.content.ID)`
`Workflow` | `getWorkflow(ID id)` Deprecated As of 9.x, replaced by `IWorkflowManager.getWorkflow(com.bea.content.ContentContext, com.bea.content.ID)`
`Workflow` | `getWorkflow(String repositoryName, String name)` Deprecated As of 9.x, replaced by `IWorkflowManager.getWorkflow(com.bea.content.ContentContext, String, String)`
`byte[]` | `getWorkflowDocument(ID workflowId)` Deprecated As of 9.x, replaced by `IWorkflowManager.getStream(com.bea.content.ContentContext, com.bea.content.ID)`
`Workflow` | `getWorkflowForNode(ID nodeId)` Deprecated As of 9.x, replaced by `IWorkflowManager.getWorkflowForNode(com.bea.content.ContentContext, com.bea.content.ID)`
`Workflow` | `getWorkflowForType(ID typeId)` Deprecated As of 9.x, replaced by `IWorkflowManager.getWorkflowForType(com.bea.content.ContentContext, com.bea.content.ID)`
`Workflow` | `setDefaultWorkflow(String repositoryName, byte[] data)` Deprecated As of 9.x, replaced by `IWorkflowManager.setDefaultWorkflow(com.bea.content.ContentContext, String, byte[])`
`void` | `setNodeWorkflow(ID nodeId, ID workflowId)` Deprecated As of 9.x, replaced by `IWorkflowManager.setNodeWorkflow(com.bea.content.ContentContext, com.bea.content.ID, com.bea.content.ID)`
`void` | `setTypeWorkflow(ID typeId, ID workflowId)` Deprecated As of 9.x, replaced by `IWorkflowManager.setTypeWorkflow(com.bea.content.ContentContext, com.bea.content.ID, com.bea.content.ID)`
`Workflow` | `updateWorkflowDocument(ID id, byte[] data)` Deprecated As of 9.x, replaced by `IWorkflowManager.save(com.bea.content.ContentContext, com.bea.content.ID, byte[])`
`Workflow` | `updateWorkflowMetaData(ID id, String name, String comment)` Deprecated As of 9.x, replaced by `IWorkflowManager.save(com.bea.content.ContentContext, com.bea.content.ID, String, String)`

Methods inherited from interface javax.ejb.EJBLocalObject
`getEJBLocalHome, getPrimaryKey, isIdentical, remove`

Method Detail

### addWorkflow

    Workflow addWorkflow(String repositoryName,
                         String name,
                         String comment,
                         byte[] data)
                         throws WorkflowExistsException,
                                DefaultWorkflowException,
                                RepositoryException

  Deprecated As of 9.x, replaced by `IWorkflowManager.addWorkflow(com.bea.content.ContentContext, String, String, String, byte[])`

  Add a new workflow document to the system.

  Parameters
    `name` - Name of the workflow
    `comment` - The comment associated with the workflow.
    `data` - Byte Array of the file representing workflow data.
  Throws
    `WorkflowExistsException` - If the workflow with the specified name already exists.
    `DefaultWorkflowException` - If user tried to add a default workflow in the system.
    `RepositoryException` - If the workflow was not added due to other problem.

### deleteWorkflow

    void deleteWorkflow(ID id)
                        throws RepositoryException

  Deprecated As of 9.x, replaced by `IWorkflowManager.remove(com.bea.content.ContentContext, com.bea.content.ID)`

  Delete the specified workflow document from the system.

  Parameters
    `id` - The ID associated with the workflow object
  Throws
    `DefaultWorkflowException` - If user tried to delete the default workflow.
    `RepositoryException` - If the workflow was not deleted due to some other problem.

### getAllWorkflows

    Workflow[] getAllWorkflows(String repositoryName,
                               QueryCriteria queryCriteria)
                               throws RepositoryException

  Deprecated As of 9.x, replaced by `IWorkflowManager.getAllWorkflows(com.bea.content.ContentContext, String)`

  Returns all the workflows in the specified repository [Including the Default Workflow document] Please note that these workflow documents are lightweight objects and do not contain the actual workflow data. Use the `getWorkflow(com.bea.content.ID)` method to get the real data.

  Parameters
    `repositoryName` - The name of the repository.
    `queryCriteria` - The query criteria for this operation.
  Throws
    `RepositoryException` - If workflows cannot be retrieved due to some other issue.

### getWorkflow

    Workflow getWorkflow(ID id)
                         throws NoSuchWorkflowException,
                                RepositoryException

  Deprecated As of 9.x, replaced by `IWorkflowManager.getWorkflow(com.bea.content.ContentContext, com.bea.content.ID)`

  Return a specific workflow document with the given id

  Parameters
    `id` - The ID of the workflow
  Returns
    The Workflow representing the workflow document.
  Throws
    `NoSuchWorkflowException` - If the workflow document does not exist.
    `RepositoryException` - If some other error happens.

### getWorkflow

    Workflow getWorkflow(String repositoryName,
                         String name)
                         throws NoSuchWorkflowException,
                                RepositoryException

  Deprecated As of 9.x, replaced by `IWorkflowManager.getWorkflow(com.bea.content.ContentContext, String, String)`

  Return a specific workflow document with the given name

  Parameters
    `repositoryName` - The name of the repository
    `name` - the name of the workflow
  Returns
    The Workflow representing the workflow document.
  Throws
    `NoSuchWorkflowException` - If the workflow document does not exist.
    `RepositoryException` - If some other error happens.

### getDefaultWorkflow

    Workflow getDefaultWorkflow(String repositoryName)
                                throws RepositoryException

  Deprecated As of 9.x, replaced by `IWorkflowManager.getDefaultWorkflow(com.bea.content.ContentContext, String)`

  Returns the default workflow for the given repository.

  Parameters
    `repositoryName` - The name of the repository
  Returns
    The Workflow representing the workflow documemnt.
  Throws
    `RepositoryException` - If there is another exception in the repository.

### setDefaultWorkflow

    Workflow setDefaultWorkflow(String repositoryName,
                                byte[] data)
                                throws RepositoryException

  Deprecated As of 9.x, replaced by `IWorkflowManager.setDefaultWorkflow(com.bea.content.ContentContext, String, byte[])`

  Sets a default workflow for the repository.

  Parameters
    `repositoryName` - The name of the repository
    `data` - The data for the workflow
  Throws
    `RepositoryException` - If there is another exception in the repository.

### updateWorkflowMetaData

    Workflow updateWorkflowMetaData(ID id,
                                    String name,
                                    String comment)
                                    throws RepositoryException

  Deprecated As of 9.x, replaced by `IWorkflowManager.save(com.bea.content.ContentContext, com.bea.content.ID, String, String)`

  Update the workflow document meta-data. This operation will not succeed if user tries to update default workflow meta-data. Also the operation might fail if the user tried to update the name of the workflow to a workflow which already exists in the system.

  Parameters
    `id` - The id of the workflow
    `name` - The new name of the workflow
    `comment` - The new comment for the workflow.
  Throws
    `RepositoryException` - If the the update of the metadata fails for some reason

### updateWorkflowDocument

    Workflow updateWorkflowDocument(ID id,
                                    byte[] data)
                                    throws RepositoryException

  Deprecated As of 9.x, replaced by `IWorkflowManager.save(com.bea.content.ContentContext, com.bea.content.ID, byte[])`

  Updates the workflow document data.

  Parameters
    `id` - The ID of the workflow
    `data` - The data associated with the workflow
  Throws
    `RepositoryException` - If the update of the workflow does not work, or if the workflow is in use by another node in the system.

### setNodeWorkflow

    void setNodeWorkflow(ID nodeId,
                         ID workflowId)
                         throws RepositoryException

  Deprecated As of 9.x, replaced by `IWorkflowManager.setNodeWorkflow(com.bea.content.ContentContext, com.bea.content.ID, com.bea.content.ID)`

  Sets the specific workflow document to the given node. This allows all further operations like checkIn/checkOut to follow the workflow specified in the workflow document.

  Parameters
    `nodeId` - The NodeId
    `workflowId` - The workflowId. The UID in this variable can be set to null to remove the workflow from the node.
  Throws
    `RepositoryException` - If the operation fails for some reason. This can also be thrown if a node already has a workflow associated with it.

### setTypeWorkflow

    void setTypeWorkflow(ID typeId,
                         ID workflowId)
                         throws RepositoryException

  Deprecated As of 9.x, replaced by `IWorkflowManager.setTypeWorkflow(com.bea.content.ContentContext, com.bea.content.ID, com.bea.content.ID)`

  Sets the specific workflow document to the given type. This allows all further operations like checkIn/checkOut for all instances of that type to follow the specified workflow.

  Parameters
    `typeId` - The Type ID
    `workflowId` - The workflowId. The UID in this variable can be set to null to remove the workflow from the type.
  Throws
    `RepositoryException` - If the operation fails for some reason.

### getWorkflowForNode

    Workflow getWorkflowForNode(ID nodeId)
                                throws RepositoryException

  Deprecated As of 9.x, replaced by `IWorkflowManager.getWorkflowForNode(com.bea.content.ContentContext, com.bea.content.ID)`

  Returns the workflow document associated with the node.

  Parameters
    `nodeId` - The node ID object.
  Returns
    The workflowObject for that node. If the node has no workflow object associated with it, it should return null. This will indicate the system to use the default workflow for that node when the node has been checked out.
  Throws
    `RepositoryException` - if the operation does not succeed.

### getWorkflowForType

    Workflow getWorkflowForType(ID typeId)
                                throws RepositoryException

  Deprecated As of 9.x, replaced by `IWorkflowManager.getWorkflowForType(com.bea.content.ContentContext, com.bea.content.ID)`

  Returns the workflow document associated with the type.

  Parameters
    `typeId` - The type ID object.
  Returns
    The workflowObject for that type. If the type has no workflow object associated with it, it should return null.
  Throws
    `RepositoryException` - if the operation does not succeed.

### getNodesForWorkflow

    Node[] getNodesForWorkflow(ID workflowId,
                               QueryCriteria queryCriteria)
                               throws RepositoryException

  Deprecated As of 9.x, replaced by `IWorkflowManager.getNodesForWorkflow(com.bea.content.ContentContext, com.bea.content.ID)`

  Returns the Nodes associated with the given workflow.

  Parameters
    `workflowId` - The Workflow ID object
    `queryCriteria` - The query criteria for this operation
  Returns
    An Array of Nodes representing the workflow.
  Throws
    `RepositoryException` - If the opoeration does not succeed.

### getTypesForWorkflow

    ObjectClass[] getTypesForWorkflow(ID workflowId,
                                      QueryCriteria queryCriteria)
                                      throws RepositoryException

  Deprecated As of 9.x, replaced by `IWorkflowManager.getTypesForWorkflow(com.bea.content.ContentContext, com.bea.content.ID)`

  Returns the Types associated with the given workflow.

  Parameters
    `workflowId` - The Workflow ID object
    `queryCriteria` - The query criteria for this operation
  Returns
    An Array of Nodes representing the workflow.
  Throws
    `RepositoryException` - If the opoeration does not succeed.

### getWorkflowDocument

    byte[] getWorkflowDocument(ID workflowId)
                               throws RepositoryException

  Deprecated As of 9.x, replaced by `IWorkflowManager.getStream(com.bea.content.ContentContext, com.bea.content.ID)`

  Returns the byte[] of the document representing the workflow document.

  Parameters
    `workflowId` - The id of the workflow
  Returns
    The byte[] array
  Throws
    `RepositoryException` - If the operation does not succeed.

### getNativeSortableProperties

    Set<String> getNativeSortableProperties(String repositoryName)
                                            throws RepositoryException

  Deprecated
  Returns a set of property names which the repository can sort natively (within the repository instead of the federated API) for paging purposes.

  Parameters
    `repositoryName` - The name of the repository.
  Returns
    The property names which can be sorted at the repository level.
  Throws
    `RepositoryException` - If the operation does not succeed.

### getNativeFilterableProperties

    Set<String> getNativeFilterableProperties(String repositoryName)
                                              throws RepositoryException

  Deprecated
  Returns a set of property names which the repository can filter natively (within the repository instead of the federated API) for paging purposes.

  Parameters
    `repositoryName` - The name of the repository.
  Returns
    The property names which can be filtered at the repository level.
  Throws
    `RepositoryException` - If the operation does not succeed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.